import { JavaObject } from '../../java/lang/JavaObject';
export declare class RGBFarbe extends JavaObject {
    private red;
    private green;
    private blue;
    /**
     *
     * Setzt die Farbwerte aus den Werten red, blue, green zusammen.
     *
     * @param color24Bit        RGB-Farbwerte
     *
     *
     */
    constructor(color24Bit: number);
    /**
     * Erstellt eine neue Farbe mit den angegebenen RGB-Werten.
     *
     * @param red     der Rot-Anteil (0-255)
     * @param green   der Grün-Anteil (0-255)
     * @param blue    der Blau-Anteil (0-255)
     */
    constructor(red: number, green: number, blue: number);
    toString(): String;
    /**
     *
     * Holt den Wert des Farbwerts rot
     *
     * @return Farbwert rot
     */
    getRed(): number;
    /**
     *
     * Bestimmt den Farbwert für rot
     *
     * @param red          Farbwert rot
     *
     */
    setRed(red: number): void;
    /**
     *
     * Holt den Wert des Farbwerts grün
     *
     * @return Farbwert grün
     */
    getGreen(): number;
    /**
     *
     * Bestimmt den Farbwert für grün
     *
     * @param green          Farbwert grün
     *
     */
    setGreen(green: number): void;
    /**
     *
     * Holt den Wert des Farbwerts blau
     *
     * @return Farbwert blau
     */
    getBlue(): number;
    /**
     *
     * Bestimmt den Farbwert für blau
     *
     * @param blue          Farbwert blau
     *
     */
    setBlue(blue: number): void;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_types_RGBFarbe(obj: unknown): RGBFarbe;
